<?php 
require_once "../modelos/Relacionzonaysubzona.php";

$relacionzonaysubzona   =   new Relacionzonaysubzona();

$idsubzona              =   isset($_POST["idsubzona"])? limpiarCadena($_POST["idsubzona"]):"";
$idrelacionzonaysubzona =   isset($_POST["idrelacionzonaysubzona"])? limpiarCadena($_POST["idrelacionzonaysubzona"]):"";
$idzona                 =   isset($_POST["idzona"])? limpiarCadena($_POST["idzona"]):"";


switch ($_GET["op"]) {
  case 'guardaryeditar':
    if (empty($idrelacionzonaysubzona)) {
        $rspta=$relacionzonaysubzona->insertar($idzona,$idsubzona);
        echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
    }else{
        $rspta=$relacionzonaysubzona->editar($idrelacionzonaysubzona,$idzona,$idsubzona);
        echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
    }
	break;
	
	case 'selectSubzona':
		$rspta 			= $relacionzonaysubzona->listarv();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Sub-Zona';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idsubzona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectGerente':
		$rspta 			= $relacionzonaysubzona->listarg();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Gerente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idsubzona.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'eliminar':
		$rspta=$relacionzonaysubzona->eliminar($idrelacionzonaysubzona);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'desactivar':
		$rspta=$relacionzonaysubzona->desactivar($idrelacionzonaysubzona);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$relacionzonaysubzona->activar($idrelacionzonaysubzona);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$relacionzonaysubzona->mostrar($idrelacionzonaysubzona);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$relacionzonaysubzona->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$relacionzonaysubzona->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta  =$relacionzonaysubzona->listar();
		$data   =Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
            onclick="mostrar('.$reg->idrelacionzonaysubzona.')"><i class="fa fa-pencil"></i></button>'.' '.'
            <button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idrelacionzonaysubzona.')">
            <i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
            onclick="mostrar('.$reg->idrelacionzonaysubzona.')"><i class="fa fa-pencil"></i></button>'.' '.'
            <button class="btn btn-primary btn-xs" onclick="activar('.$reg->idrelacionzonaysubzona.')">
            <i class="fa fa-check"></i></button>',
            "1"=>$reg->zona,
            "2"=>$reg->subzona,
            "3"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>